#include <stdio.h>
#include <conio.h>

int main(void)
{
	long long T, i;
	
	scanf("%lld", &T);
	
	long long N[T], M[T], K[T];
	
	for (i = 0; i < T; i++)
		scanf("%lld %lld %lld", &N[i], &M[i], &K[i]);
		
	for (i = 0; i < T; i++)
	{
		if (N[i] > M[i] || K[i] > N[i] || !(2*N[i] <= M[i]))
			printf("Nie");
		else
			printf("Tak");
		if (i < T-1)
			printf("\n");
	}
		
	return 0;
}